"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var core_1 = require('@angular/core');
var forms_1 = require('@angular/forms');
var datepicker_options_1 = require('../datepicker-options');
var datepicker_1 = require('../datepicker/datepicker');
var datepicker_container_component_1 = require('../datepicker-container/datepicker-container.component');
exports.CALENDAR_VALUE_ACCESSOR = {
    provide: forms_1.NG_VALUE_ACCESSOR,
    useExisting: core_1.forwardRef(function () { return InputDatePickerComponent; }),
    multi: true
};
var InputDatePickerComponent = (function (_super) {
    __extends(InputDatePickerComponent, _super);
    function InputDatePickerComponent(elRef, opts) {
        _super.call(this, elRef, opts);
        this.elRef = elRef;
        this.opts = opts;
    }
    InputDatePickerComponent.prototype.viewDateChanged = function (event) {
        if (event && event.length > 0) {
            this.onChangeCallback(event);
        }
        else {
            this.onChangeCallback(null);
        }
    };
    InputDatePickerComponent.prototype.toggle = function (event) {
        event.preventDefault();
        event.stopPropagation();
        if (!this.datePicker.opened) {
            if (this.viewDate) {
                this.inputEl.nativeElement.setSelectionRange(0, this.viewDate.length);
            }
            this.open(event);
        }
        else {
        }
    };
    InputDatePickerComponent.decorators = [
        { type: core_1.Component, args: [{
                    // moduleId: module.id,
                    selector: 'jb-input-datepicker',
                    templateUrl: './input-datepicker.component.html',
                    styleUrls: ['./input-datepicker.component.css'],
                    providers: [exports.CALENDAR_VALUE_ACCESSOR]
                },] },
    ];
    /** @nocollapse */
    InputDatePickerComponent.ctorParameters = [
        { type: core_1.ElementRef, },
        { type: datepicker_options_1.AngularDatepickerOptions, decorators: [{ type: core_1.Optional },] },
    ];
    InputDatePickerComponent.propDecorators = {
        'datePicker': [{ type: core_1.ViewChild, args: [datepicker_container_component_1.DatePickerContainerComponent,] },],
        'inputEl': [{ type: core_1.ViewChild, args: ['input',] },],
        'options': [{ type: core_1.Input },],
    };
    return InputDatePickerComponent;
}(datepicker_1.DatePickerComponent));
exports.InputDatePickerComponent = InputDatePickerComponent;
//# sourceMappingURL=input-datepicker.component.js.map